summaryrefslogtreecommitdiff
path: root/dev-python/antlr4-python3-runtime
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-02-20 07:32:44 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-02-20 07:32:44 +0000
commitc1ad49092bca68e2fd0a00e9cc5f00abef5d7633 (patch)
tree98090227924554a2944fde8c47cb8904b9e5b75f /dev-python/antlr4-python3-runtime
parent1a59cd7101f9d5c244291b2b61ff2e3cf7d527d4 (diff)
downloadbaldeagleos-repo-c1ad49092bca68e2fd0a00e9cc5f00abef5d7633.tar.gz
baldeagleos-repo-c1ad49092bca68e2fd0a00e9cc5f00abef5d7633.tar.xz
baldeagleos-repo-c1ad49092bca68e2fd0a00e9cc5f00abef5d7633.zip
Adding metadata
Diffstat (limited to 'dev-python/antlr4-python3-runtime')
-rw-r--r--dev-python/antlr4-python3-runtime/Manifest1
-rw-r--r--dev-python/antlr4-python3-runtime/antlr4-python3-runtime-4.12.0.ebuild29
2 files changed, 30 insertions, 0 deletions
diff --git a/dev-python/antlr4-python3-runtime/Manifest b/dev-python/antlr4-python3-runtime/Manifest
index c99f021c0595..8cba64bedde7 100644
--- a/dev-python/antlr4-python3-runtime/Manifest
+++ b/dev-python/antlr4-python3-runtime/Manifest
@@ -1 +1,2 @@
DIST antlr-4.11.1.gh.tar.gz 4383139 BLAKE2B ac6e49ae8d4d44923e40eba98fa2c850cb594929ae1a29223678377aabe6f35d57f95e125393aa6b7145828c876442608883356b594ab43346c891ca932d9fd5 SHA512 a81f2ebcbcb6e63eb651731ceafab55f66401a3da0a6b2688cfe96d3bda299542dab5b05aaf4c8a8520ba32891b23adbf912011a4e45afae492a2a350d333ae9
+DIST antlr-4.12.0.gh.tar.gz 4408352 BLAKE2B 9a7ba9149c459e5b6a7eec750d1623f10be4aa119479d93dbf7f3955176013ac3e56d3a95399460ed5170cf2bf01fff586852a84d2cb86fe04e89846211e39cd SHA512 2217509e8766ceee7b9e5fdee3a9972b1f42fb442bdf3e3c0a8027f88bc49508386adb5ea8a02c982ef2176e2b5e60669746a387ec426682d7f43bca28aa4b6f
diff --git a/dev-python/antlr4-python3-runtime/antlr4-python3-runtime-4.12.0.ebuild b/dev-python/antlr4-python3-runtime/antlr4-python3-runtime-4.12.0.ebuild
new file mode 100644
index 000000000000..8fdbbcbef085
--- /dev/null
+++ b/dev-python/antlr4-python3-runtime/antlr4-python3-runtime-4.12.0.ebuild
@@ -0,0 +1,29 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python 3 runtime for ANTLR"
+HOMEPAGE="
+ https://www.antlr.org/
+ https://github.com/antlr/antlr4/
+ https://pypi.org/project/antlr4-python3-runtime/
+"
+SRC_URI="
+ https://github.com/antlr/antlr4/archive/${PV}.tar.gz
+ -> antlr-${PV}.gh.tar.gz
+"
+S="${WORKDIR}/antlr4-${PV}/runtime/Python3"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+python_test() {
+ "${EPYTHON}" tests/run.py -v || die "Tests failed with ${EPYTHON}"
+}